a {
	color: initial;
	text-decoration: none;
}

.button-retour {
	border: 2px solid $green-grass;
	padding: 16px 32px;
	border-radius: 36px;
	text-decoration: none;
	color: $green-grass;
	background: $white;
	transition: 0.3s;
	width: fit-content;
	margin-left: 40px;
	margin-bottom: 40px;
	margin-top: 0;
	display: block;

	&:hover {
		background: $green-grass;
		color: $white;
	}
}

.home-main {
	width: 70%;
	display: flex;
	margin: 80px auto;

	.logo-img {
		width: 50%;
		height: 500px;
		background-image: url('../assets/img/accueil-03.png');
		background-position: center;
		background-size: contain;
		background-repeat: no-repeat;
	}

	div:nth-child(2) {
		width: 40%;

		h3 {
			font-size: 40px;
			margin-bottom: 0;
			letter-spacing: 2px;
		}

		hr {
			width: 20%;
			border: 1px solid $green-fluo;
			margin-left: 0;
		}

		p:nth-child(5) {
			margin-bottom: 56px;
		}

		a {
			border: 2px solid $green-grass;
			padding: 16px 32px;
			border-radius: 36px;
			text-decoration: none;
			color: $green-grass;
			background: $white;
			transition: 0.3s;

			&:hover {
				background: $green-grass;
				color: $white;
			}
		}
	}
}

// ------------------------------------------
.formFlower-main {
	display: flex;
	flex-direction: column;
	width: 100%;
	padding: 0 10%;

	h2 {
		color: $green-dark;
		font-size: 40px;
		text-align: center;
	}

	.button {
		width: fit-content;
		height: fit-content;
		text-align: center;
		display: block;
		margin: auto;
	}

	.formFlower {
		width: 100%;
		display: flex;
		flex-direction: column;
		border-radius: 4px;

		.formDouble {
			width: 100%;
			box-sizing: border-box;
			border-radius: 4px;
			padding: 0;
			margin-bottom: 2%;

			.form-content {
				border-radius: 4px;
				display: flex;
				justify-content: space-between;
				width: 100%;
				box-sizing: border-box;

				.form {
					width: 49%;
					border: 2px solid $green-grass;
					padding: 0px 32px 32px 32px;
					box-sizing: border-box;
					background: $white;
					border-radius: 8px;

					.form-select,
					.form-input {
						margin-left: 16px;
					}

					.form-select {
						padding: 4px 8px;
						border-radius: 8px;
						border: 2px solid $green-grass;
					}

					.form-input {
						padding: 4px 8px;
						border-radius: 8px;
						border: 2px solid $green-grass;
					}
				}
			}
		}
	}

	.button-submit {
		margin: 32px 0 0 auto;
		width: fit-content;
		border: 2px solid $green-grass;
		padding: 16px 40px;
		border-radius: 36px;
		text-decoration: none;
		color: $white;
		background: $green-grass;
		transition: 0.3s;
		margin-bottom: 40px;

		&:hover {
			background: $white;
			color: $green-grass;
		}
	}
}

// ------------------------------------------
.api-main {
	padding: 0 320px;
	margin-top: 0;
	justify-content: center;
	align-items: flex-start;

	.container-api {
		margin-top: 0;

		h1 {
			font-size: 50px;
			margin-bottom: 0px;
			color: white;
			width: fit-content;
			background-color: $green-fluo;
			padding: 4px 16px;
			border-radius: 8px 8px 0 0;
			margin-left: 32px;
			height: 100%;
		}

		p {
			margin-left: 40px;
			font-size: 14px;
			font-weight: bold;
			opacity: 0.5;
			margin-top: 0;
		}

		.api-box {
			padding: 16px 32px 32px 40px;
			box-sizing: border-box;
			background-color: $green-grass;
			border-radius: 8px 8px 8px 8px;
			box-shadow: 0px 0px 15px grey;

			.header-api {
				margin-bottom: 32px;

				p {
					font-size: 24px;
					margin-bottom: 16px;
					font-weight: bold;
					margin-left: 0;
				}

				input {
					background-color: white;
					padding: 8px 16px;
					border: none;
					border-radius: 4px;
					margin-top: 0;
					width: 50%;
				}
			}

			.box-api {
				p {
					font-size: 24px;
					margin-bottom: 16px;
					font-weight: bold;
					margin-left: 0;
				}

				form {
					background-color: red;

					.form-api {}
				}
			}

			.result-api {
				box-sizing: border-box;
				background-color: $white;
				width: 80%;
				padding: 16px 32px;
				border-radius: 8px;

				p:nth-child(1) {
					font-size: 24px;
					margin-bottom: 16px;
					font-weight: bold;
					margin-top: 0;
					margin-left: 0;
				}

				.button {
					padding: 8px 32px;
					border: none;
					border-radius: 4px;
					background-color: $green-fluo;
					color: white;
					cursor: pointer;
					transition: 0.3s;

					&:hover {
						background-color: $green-grass;
					}
				}
			}
		}
	}
}

.suggestions {
	display: flex;
	flex-direction: column;
	align-items: center;

	.block-flower {
		display: flex;
		flex-direction: column;
		align-items: center;
		margin: 0 auto;
		background-color: $green-grass;
		padding: 2rem 6rem;
		border-radius: 8px;
		box-sizing: border-box;
		box-shadow: 0px 0px 15px grey;

		.title {
			font-size: 24px;
			font-weight: bold;
			margin-bottom: 34px;
			opacity: .5;
		}

		.list {
			display: flex;

			.flower {
				background-color: $white;
				border-radius: 8px;
				padding: 16px;
				margin: 0 15px;
				display: flex;
				flex-direction: column;
				align-items: center;
				position: relative;

				.flower-name {
					font-size: 16px;
					font-weight: bold;
					margin-bottom: 8px;
					color: $green-grass;
				}

				.quantity {
					position: absolute;
					top: -21px;
					width: 39px;
					display: flex;
					right: -25px;
					background: #50CF92;
					padding: 10px;
					border-radius: 50%;
					font-weight: bold;
					justify-content: center;
					box-shadow: 0px 0px 15px grey;
					font-size: 2rem;

					span {
						opacity: .5;
					}
				}
			}
		}

		img {
			width: auto;
			max-width: 150px;
			height: auto;
			max-height: 150px;
		}
	}

	.next {

		.button {
			border: 2px solid #429881;
			padding: 16px 32px;
			border-radius: 36px;
			text-decoration: none;
			color: $white;
			background: $green-grass;
			transition: 0.3s;
			font-size: 16px;
			font-weight: bold;
		}
	}

	.no-flower {
		display: flex;
		flex-direction: column;
		align-items: center;
		gap: 2rem;

		.btn-back {
			border: 2px solid #429881;
			padding: 16px 32px;
			border-radius: 36px;
			text-decoration: none;
			background: #FFFFFF;
			transition: 0.3s;
			font-size: 16px;

			a {
				color: $green-grass;
			}
		}
	}
}